/*ds02d05*/
/*Original Base SAS DATA step*/
data _null_;
   if _n_ =1 then do;
      Text = '**> Starting';
      put Text;
   end;
   set orion.banks end=last;
   put _all_;
   if last then do;
      Text = '**> All done!';
      put Text;
   end;
run;    

/* Text variable is global */
proc ds2;
data _null_;
   method init();
/* Undeclared Text variable is global */
      Text = '**> Starting';
      put Text;
   end; 

   method run();
      set orion.banks;
      put _all_;
   end;

   method term();
/* Global Text variable value gets truncated*/
      Text = '**> All done!';
      put Text;
   end;
enddata;
run;
quit; 

/*DS2 DATA Step*/
PROC DS2;
data _null_;
   method init();
      dcl varchar(12) Text;
      Text = '**> Starting';
      put Text;
   end;
   method run();
      set orion.banks;
      put _all_;
   end;
   method term();
      dcl char(13) Text;
      Text = '**> All done!';
      put Text;
   end;
enddata;
run;
QUIT; 
